package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PriKey2AddressReq
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:39
 */
@Data
public class PriKey2AddressReq  implements Serializable {
    private static final long serialVersionUID = -5440156221782016297L;
    private String priKey;

    private static final PriKey2AddressReq obj = new PriKey2AddressReq();
    public static PriKey2AddressReq getNew() {
        try {
            return (PriKey2AddressReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new PriKey2AddressReq();
        }
    }
}
